declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)

declare @id_permisoaccion as int
declare @id_funcionalidad_padre as int  


set @id_funcionalidad_padre = ( select top 1 id from gui_funcionalidad where nombreControl  = 'doc_documento_entrada'
and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 6 and nombreControl = '#336666' and active = 1))

if not exists (select * from gui_funcionalidad  where nombreComando = 'asignarUsuario' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre)
begin

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Asignar usuario recibe','','','','','','',0,'','asignarUsuario',0,@id_funcionalidad_padre,5) 
end 


--- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES

set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'asignarUsuario' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil 

     end